// JavaScript Document

selected_search = "google";

function click_icon()
{
	document.getElementById('div_currenticon').style.visibility = 'hidden';
	document.getElementById('div_textdiv').style.visibility = 'hidden';
	document.getElementById('div_searchselect').style.visibility = 'visible';
}

function select_icon(selected_str)
{
	//Set the current search engine
	selected_search = selected_str;
	document.getElementById('input_textbox').setAttribute("value", selected_search);
	//Change icon
	switch(selected_search)
	{
		case "google":
			document.getElementById('img_selected').setAttribute("src", "icons/1261434177_google.png");
			break;
		case "wikipedia":
			document.getElementById('img_selected').setAttribute("src", "icons/wikipedia_icon.png");
			break;
		case "ebay":
			document.getElementById('img_selected').setAttribute("src", "icons/1261434517_ebay.png");
			break;
		case "xbox":
			document.getElementById('img_selected').setAttribute("src", "icons/1261434571_XBOX_360.png");
			break;
		case "ask":
			document.getElementById('img_selected').setAttribute("src", "icons/1261434218_Ask.png");
			break;
		case "bing":
			document.getElementById('img_selected').setAttribute("src", "icons/bing_icon.png");
			break;
	}
	
	//Set visibility of elements.
	document.getElementById('div_currenticon').style.visibility = 'visible';
	document.getElementById('div_textdiv').style.visibility = 'visible';
	document.getElementById('div_searchselect').style.visibility = 'hidden';
}

function perform_search()
{
	//document.getElementById('textbox').setAttribute("value", selected_search)
	search_str = document.getElementById('input_textbox').getAttribute("value");
	if(selected_search == "google")
	{
		window.open("http://www.google.com/search?hl=en&source=hp&q=" + search_str + "&aq=f&oq=&aqi=g10", "Search");
		return;
	}
	if(selected_search == "wikipedia")
	{
		window.open("http://en.wikipedia.org/w/index.php?search=" + search_str, "Search");
		return;
	}
	if(selected_search == "ebay")
	{
		window.open("http://search.ebay.com/" + search_str, "Search");
		return;
	}
	if(selected_search == "xbox")
	{
		window.open("http://www.xbox.com/en-us/search.aspx?p=1&c=10&keyword=" + search_str, "Search");
		return;
	}
	if(selected_search == "ask")
	{
		window.open("http://uk.ask.com/web?q=" + search_str, "Search");
		return;
	}
	if(selected_search == "bing")
	{
		window.open("http://www.bing.com/search?q=" + search_str +"&form=QBLH&filt=all&qs=n", "Search");
		return;
	}
}
